#include "version.sh"

in lowp vec4 Cd_f;
#if defined(DISL_USE_USERCD)
in lowp vec4 UserCd_f;
#endif

#if defined(DISL_USE_MAIN_TEX)
uniform lowp sampler2D texUnit;
in vec2 UV_f;
#endif

layout(location = 0) out vec4 fragColor;

void main()
{
#if defined(DISL_USE_MAIN_TEX)
    fragColor = Cd_f * texture(texUnit, UV_f);
#else
    fragColor = Cd_f;
#endif
    
#if defined(DISL_USE_USERCD)
    fragColor *= UserCd_f;
#endif
}
